# **Mobroute:** Mepo Integration Userguide

> Currently Mepo support is non-functional since reworking the output
> route formatting on master. If you wish to use Mepo with Mobroute, use
> tagged release 0.1 for which the below instructions apply.

Mobroute was built with [Mepo](http://sr.ht/~mil/mepo) in mind; in
future releases of Mepo, mobroute will automatically be integrated
(e.g. menuing for various mobroute operations).  Until then, mobroute
may still be integrated by performing the following:

```
./build.sh install
```

This will install both the `mobroute` executable and a script
`mepo_menu_mobroute.sh` to /usr/local/bin. Once installed, launching
the central menu within mepo, you'll see new entries for `Route: via
Mobroute directions` and `Route: show Mobroute stoptimes on cursor`.

Do note, that by default Mobroute is configured to use NYC's subway
system GTFS file. This can be changed by [configuring a few variables
set in `mepo_menu_mobroute.sh`](scripts/mepo_menu_mobroute.sh) which
are exported as ENV variables.

Debugging can also be accomplished with Mepo by using the `-i` feature on
mepo's cli, e.g.:

```sh
mobroute -cmd route -format mepolang | mepo -i
```

---

> [All Mobroute Docs](http://sr.ht/~mil/mobroute)
